Update a SIM
Updates a SIM resource.
You can provide the following fields with this request:
issuer_org(Object optional) - change to a direct child organization of the appropriate typereseller_org(Object optional) - change to a direct child organization of the appropriate type or empty ("reseller_org": { "id": null }or"reseller_org": {})customer_org(Object optional) - change to own organization or a direct child organization of type “Enterprise” or empty ("customer_org": { "id": null }or"customer_org": {})status(Object optional) - update the SIM status
The following restrictions apply when updating SIMs:
- Users from the issuer organization can change any updatable field
- Users from the reseller organization can update the
reseller_orgorcustomer_orgfields - Users from the customer organization can only update the
statusfield issuer_orgcan change to a child organization of the type “Mobile Network Operator” or “Service Provider”reseller_orgcan change to child organization of the following types: “Mobile Network Operator”, “Service Provider”, or “Reseller”customer_orgcan change to a child organization of an “Enterprise” typestatuscan update from “Issued” ("id": 0) to either “Activated” ("id": 1) or “Factory Test” ("id": 4)statuscan only update from “Factory Test” ("id": 4) to “Activated” ("id": 1)statuscan switch between “Activated” ("id": 1) and “Suspended” ("id": 2)
Telia charges for activated SIMs. To avoid accruing unexpected charges, update the SIM status to “Suspended” ("id": 2).
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
sim_id
Numeric ID of a SIM
Request
This endpoint expects an object.
issuer_org
reseller_org
customer_org
status
Response
Successfully fulfilled the request with no additional content to send in the response payload body.
Errors
400
Bad Request Error
403
Forbidden Error